Package com.google.android.exoplayer2.testutil

## Class FakeExtractorInput.SimulatedIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.android.exoplayer2.testutil.FakeExtractorInput.SimulatedIOException

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    FakeExtractorInput

      public static final class FakeExtractorInput.SimulatedIOException
      extends IOException

  Thrown when simulating an `IOException`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimulatedIOException​(String message)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimulatedIOException

          public SimulatedIOException​(String message)